<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<parent>
    		<artifactId>samples</artifactId>
    		<groupId>org.richfaces</groupId>
	    	<version>3.1.3.GA</version>
		<relativePath>../samples</relativePath>
	</parent>

	<repositories>
		<!--repository>
			<releases>
				<enabled>true</enabled>
			</releases>
			
			<snapshots>
				<enabled>true</enabled>
				<updatePolicy>always</updatePolicy>
			</snapshots>
			
			<id>maven2-snapshots.exadel.com</id>
			<name>Exadel Repository for Maven Snapshots</name>
			<url>http://maven.exadel.com/</url>
			<layout>default</layout>
		</repository-->
		<repository>
			<releases>
				<enabled>true</enabled>
			</releases>
			
			<snapshots>
				<enabled>true</enabled>
				<updatePolicy>always</updatePolicy>
			</snapshots>
			
			<id>snapshots.jboss.org</id>
			<name>JBoss snapshots repository</name>
			<url>http://snapshots.jboss.org/maven2/</url>
			<layout>default</layout>
		</repository>
	</repositories>
	
	<modelVersion>4.0.0</modelVersion>
	<groupId>org.richfaces</groupId>
	<artifactId>test-applications</artifactId>
	<packaging>pom</packaging>
	<version>3.1.3.GA</version>
	<name>RichFaces Test Applications</name>

	<properties>
		<rfVersion>3.1.3.GA</rfVersion>
	</properties>

	<modules>
		<module>jsp</module>
		<module>facelets</module>
	</modules>

	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>1.5</source>
					<target>1.5</target>
				</configuration>
			</plugin>
		</plugins>
	</build>

	<dependencies>
		<dependency>
    			<artifactId>richfaces-ui</artifactId>
    			<groupId>org.richfaces.ui</groupId>
	    		<version>${rfVersion}</version>
		</dependency>
		<dependency>
			
			<groupId>org.richfaces.ui</groupId>
			
			<artifactId>core</artifactId>
			
	    		<version>${rfVersion}</version>
			<scope>provided</scope>
		
		</dependency>
		<dependency>
    			<artifactId>richfaces-impl</artifactId>
    			<groupId>org.richfaces.framework</groupId>
	    		<version>${rfVersion}</version>
		</dependency>
		<dependency>
    			<artifactId>richfaces-api</artifactId>
    			<groupId>org.richfaces.framework</groupId>
	    		<version>${rfVersion}</version>
		</dependency>
	</dependencies>

	<profiles>
		<profile>
			<id>myfaces</id>
			<dependencies>
				<dependency>
					<artifactId>richfaces-ui</artifactId>
					<groupId>org.richfaces.ui</groupId>
					<version>${rfVersion}</version>
					<exclusions>
						<exclusion>
							<groupId>javax.faces</groupId>
							<artifactId>jsf-api</artifactId>
						</exclusion>
						<exclusion>
							<groupId>javax.faces</groupId>
							<artifactId>jsf-impl</artifactId>
						</exclusion>
					</exclusions>
				</dependency>
				<dependency>
					<artifactId>richfaces-impl</artifactId>
					<groupId>org.richfaces.framework</groupId>
					<version>${rfVersion}</version>
					<exclusions>
						<exclusion>
							<groupId>javax.faces</groupId>
							<artifactId>jsf-api</artifactId>
						</exclusion>
						<exclusion>
							<groupId>javax.faces</groupId>
							<artifactId>jsf-impl</artifactId>
						</exclusion>
					</exclusions>
				</dependency>
				<dependency>
					<artifactId>richfaces-api</artifactId>
					<groupId>org.richfaces.framework</groupId>
					<version>${rfVersion}</version>
					<exclusions>
						<exclusion>
							<groupId>javax.faces</groupId>
							<artifactId>jsf-api</artifactId>
						</exclusion>
						<exclusion>
							<groupId>javax.faces</groupId>
							<artifactId>jsf-impl</artifactId>
						</exclusion>
					</exclusions>
				</dependency>
			</dependencies>
		</profile>
	</profiles>
</project>